<template>
<div>
    <swiper ref="mySwiper"
      :options="swiperOptions"
      @click-slide="clkItem"
    >
        <swiper-slide
          v-for="(i, index) in 5"
          :key="index"
        >
          <span>連結到業務員{{i}}詳細資訊</span>
        </swiper-slide>

        <div class="swiper-button-prev" slot="button-prev"></div>
        <div class="swiper-button-next" slot="button-next"></div>
    </swiper>
</div>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';
import { SwiperOptions } from 'swiper';

@Component
export default class UiSwiper extends Vue {
    swiperOptions: SwiperOptions = {
        loop: true,
        slideToClickedSlide: false,
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev'
        },
        breakpoints: {
          320: {
            slidesPerView: 2,
            slidesPerGroup: 2,
            spaceBetween: 20
          },
          1024: {
            slidesPerView: 4,
            slidesPerGroup: 4,
            spaceBetween: 40
          }
        }
    }

    clkItem(loopIndex: number, realIndex: number) {
      this.$router.push('/agentInfo')
    }
}
</script>

<style lang="scss" scoped>
.swiper-container {
  height: 80px;
  width: 90%;
}
.swiper-slide {
  border: solid 1px;
  padding: 5px;
  cursor: pointer;
}
</style>